
<ng-container *ngIf="tMensaje.De !== tUsuario.Codusuario">
  <div class="fila">
    <div class="fila--columna"><img class="fila--columna-imagen" [Gravatar]="tCorreoMensaje" alt=""/></div>
    <div class="col">
      <div class="row">
        <div class="col-12">
          <h6 class="fila--columna-de">{{ tOrigenMensaje }}</h6>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <h6 class="fila--columna-texto">{{ tMensaje.Texto }}</h6>
        </div>
      </div>
      <div class="row text-right">
        <div class="col-12">
          <h6 class="text-black-50 font-italic text-xs">{{ tMensaje.Fecha | diferenciaFechas }}</h6>
        </div>
      </div>
    </div>
  </div>
</ng-container>
<ng-container *ngIf="tMensaje.De === tUsuario.Codusuario">
  <div class="fila text-right">
    <div class="col">
      <div class="row">
        <div class="col-12">
          <h6 class="fila--columna-de">{{ tOrigenMensaje }}</h6>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <h6 class="fila--columna-texto">{{ tMensaje.Texto }}</h6>
        </div>
      </div>
      <div class="row text-left">
        <div class="col-12">
          <h6 class="text-black-50 font-italic text-xs">{{ tMensaje.Fecha | diferenciaFechas }}</h6>
        </div>
      </div>
    </div>
    <div class="fila--columna"><img class="fila--columna-imagen" [Gravatar]="tCorreoMensaje" alt=""/></div>
  </div>
</ng-container>